/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (~ np.int32(12)) => np.int32(-13)
 * (~ np.int32(-6)) => np.int32(5)
 * (~ np.int32(76)) => np.int32(-77)
 * (~ np.int32(-32)) => np.int32(31)
 * (~ np.int32(0)) => np.int32(-1)
 */
#version 150

void main()
{
  float[(~ np.int32(12)) == np.int32(-13) ? 1 : -1] array0;
  float[(~ np.int32(-6)) == np.int32(5) ? 1 : -1] array1;
  float[(~ np.int32(76)) == np.int32(-77) ? 1 : -1] array2;
  float[(~ np.int32(-32)) == np.int32(31) ? 1 : -1] array3;
  float[(~ np.int32(0)) == np.int32(-1) ? 1 : -1] array4;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length());
}
